//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/04/09 21:47:19 $
//
//==============================================================================
//
// Class: MemCheckSystemMonitor
// 
//==============================================================================

#ifndef OT_AUXIL_MemCheckSystemMonitor_h
#define OT_AUXIL_MemCheckSystemMonitor_h

#ifndef OT_AUXIL_defs_h
#include "defs.h"
#endif //OT_AUXIL_defs_h

#include "ot/base/SystemMonitor.h"

OT_AUXIL_NAMESPACE_BEGIN

class OT_AUXIL_PKG MemCheckSystemMonitor : public SystemMonitor
{
public:
	MemCheckSystemMonitor();
};

OT_AUXIL_NAMESPACE_END

#endif //OT_AUXIL_MemCheckSystemMonitor_h
