//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:52 $
//
//==============================================================================

#ifndef OT_AUXIL_messages_h
#define OT_AUXIL_messages_h

#include "defs.h"

OT_AUXIL_NAMESPACE_BEGIN

enum MessageCodes {

EAUXIL_OPTIONARGINVALID     = 100, // '{0}' is not a valid argument for the {1} option
EAUXIL_OPTIONARGMISSING     = 101, // the {0} option requires an argument
EAUXIL_OPTIONNAMEAMBIGUOUS  = 102, // the {0} option is ambiguous
EAUXIL_OPTIONNAMEUNKNOWN    = 103, // unrecognized option: {0}
EAUXIL_OPTIONNAMEBOOL       = 104, // illegal boolean option name: {0}
EAUXIL_OPTIONDUPLICATE      = 105, // duplicate option: {0}
EAUXIL_MAX

};

OT_AUXIL_NAMESPACE_END

#endif //OT_AUXIL_messages_h

