//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.13 $
// $Date: 2003/09/15 21:09:35 $
//
//==============================================================================
//
// This file provides OpenTop version information
//
//==============================================================================

#ifndef OT_BASE_version_h
#define OT_BASE_version_h

//
// The _OPENTOP_VERSION macro contains the version number for the
// installed version of OpenTop.
// It consists of:
// - a major version number (multiplied by 100,000)
// - a minor version number (multiplied by 1000)
// - a minor release number
//
#undef  _OPENTOP_MAJOR_VERSION
#define _OPENTOP_MAJOR_VERSION 1                                                          

#undef  _OPENTOP_MINOR_VERSION
#define _OPENTOP_MINOR_VERSION 3                                                          

#undef  _OPENTOP_MINOR_RELEASE
#define _OPENTOP_MINOR_RELEASE 0                                                          

#undef  _OPENTOP_VERSION
#define _OPENTOP_VERSION   ((_OPENTOP_MAJOR_VERSION*100000)\
                         + (_OPENTOP_MINOR_VERSION*1000)\
						 + _OPENTOP_MINOR_RELEASE)

#endif // OT_BASE_version_h
