//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:04 $
//
//==============================================================================
/**
	@namespace ot::cvt

	Provides facilities to the @c io namespace to convert from Unicode into
	various byte encodings and vice versa.
*/
//==============================================================================

#ifndef OT_CVT_defs_h
#define OT_CVT_defs_h

#include "ot/base/gendefs.h"
#include "ot/base/String.h"
#include "ot/base/ManagedObject.h"
#include "ot/base/RefPtr.h"

#define OT_CVT_PKG OT_OPENTOP_PKG
#define OT_CVT_INCLUDE_INLINES OT_OPENTOP_INCLUDE_INLINES
#define OT_CVT_NAMESPACE_BEGIN OT_SUB_NAMESPACE_BEGIN(cvt)
#define OT_CVT_NAMESPACE_END   OT_SUB_NAMESPACE_END(cvt)

#endif //OT_CVT_defs_h

