//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:51 $
//
//==============================================================================
/**
	@namespace ot::util

	Contains date and time classes as well as miscellaneous utility classes
	that do not need to belong to the top-level namespace.
*/
//==============================================================================

#ifndef OT_UTIL_defs_h
#define OT_UTIL_defs_h

#include "ot/base/gendefs.h"
#include "ot/base/String.h"

#define OT_UTIL_PKG OT_OPENTOP_PKG
#define OT_UTIL_NAMESPACE_BEGIN OT_SUB_NAMESPACE_BEGIN(util)
#define OT_UTIL_NAMESPACE_END   OT_SUB_NAMESPACE_END(util)

#endif //OT_UTIL_defs_h
