//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.3 $
// $Date: 2003/05/04 17:47:30 $
//
//==============================================================================
/**
    @namespace ot::auxil

	Auxiliary helper classes for use by applications.  The OpenTop library
	does not contain any internal dependencies on classes within this
	namespace.
*/
//==============================================================================

#ifndef OT_AUXIL_defs_h
#define OT_AUXIL_defs_h

#include "ot/base/gendefs.h"
#include "ot/base/ManagedObject.h"
#include "ot/base/RefPtr.h"

#define OT_AUXIL_PKG OT_OPENTOP_PKG
#define OT_AUXIL_INCLUDE_INLINES OT_OPENTOP_INCLUDE_INLINES
#define OT_AUXIL_NAMESPACE_BEGIN OT_SUB_NAMESPACE_BEGIN(auxil)
#define OT_AUXIL_NAMESPACE_END   OT_SUB_NAMESPACE_END(auxil)

#endif //OT_AUXIL_defs_h

