/* ot/base/config.h.  Generated automatically by configure.  */
/*
 * OpenTop Configuration File
 * -------------------------
 * 
 * This file is used as input to 'configure' to generate
 * a customized 'config.h' file for the target system.
 *
 */

/* Defined as the appropriate type for length parameters to socket calls */
#define HAVE_WORKING_SOCKLEN_T 1

/* Define if nanosleep is available */
/* #undef HAVE_NANOSLEEP */

/* Define if wchar_t is unsigned on your system */
/* #undef HAVE_UNSIGNED_WCHAR_T */

/* Define size of wchar_t (in # bytes) */
#define SIZEOF_WCHAR_T 4

/* Determine if the standard resolver functions are thread-safe */
/* #undef HAVE_THREAD_SAFE_RESOLVER */

/* Determine which version of gethostbyname_r is available */
#define MISSING_REENTRANT_RESOLVER 1
/* #undef HAVE_GETHOSTBYNAME_R_5 */
/* #undef HAVE_GETHOSTBYNAME_R_6 */

/* For pthreads, check if the platform supports pthread_kill() */
#define HAVE_PTHREAD_KILL 1

/* Determine which version of gethostbyaddr_r is available */
/* #undef HAVE_GETHOSTBYADDR_R_5 */
/* #undef HAVE_GETHOSTBYADDR_R_7 */
/* #undef HAVE_GETHOSTBYADDR_R_8 */

#define HAVE_INET_NTOP 1
#define HAVE_WCSNRTOMBS 1

/* Determine if we are running on a big-endian or little-endian architecture */
#define WORDS_BIGENDIAN 1

/* Detemermine if we need to explicitly set a files modification time on creation */
#define CREATEFILE_SETS_MODTIME 1

