//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/01/07 00:15:33 $
//
//==============================================================================
//
// This is the Windows version of the OpenTop configuration file
//
//==============================================================================

#ifdef WIN32

	#undef  HAVE_WORKING_SOCKLEN_T
	#define HAVE_UNSIGNED_WCHAR_T
	#define SIZEOF_WCHAR_T 2
	#undef  WORDS_BIGENDIAN
	#define HAVE_THREAD_SAFE_RESOLVER
	#define CREATEFILE_SETS_MODTIME

#else

	#error This file should only be included during a Windows build.

#endif //WIN32
